Package org.eclipse.graphiti.ui.internal.action

## Class FeatureExecutionHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.graphiti.ui.internal.action.FeatureExecutionHandler

All Implemented Interfaces:
  `org.eclipse.core.commands.IHandler`, `org.eclipse.core.commands.IHandler2`

    public class FeatureExecutionHandler
    extends org.eclipse.core.commands.AbstractHandler

### Field Summary

Fields
`static java.lang.String` `COMMAND_ID`

### Constructor Summary

Constructors
`FeatureExecutionHandler​(IConfigurationProvider configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `execute​(org.eclipse.core.commands.ExecutionEvent event)`
`protected void` `executeOnCommandStack​(ICommand command)`
`protected IConfigurationProvider` `getConfigurationProvider()`
`protected PictogramElement[]` `getSelectedPictogramElements​(org.eclipse.core.commands.ExecutionEvent event)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMMAND_ID

    public static final java.lang.String COMMAND_ID

See Also:
  Constant Field Values

### Constructor Detail

#### FeatureExecutionHandler

    public FeatureExecutionHandler​(IConfigurationProvider configurationProvider)

### Method Detail

#### getSelectedPictogramElements

    protected PictogramElement[] getSelectedPictogramElements​(org.eclipse.core.commands.ExecutionEvent event)

#### execute

    public java.lang.Object execute​(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

Throws:
  `org.eclipse.core.commands.ExecutionException`

#### getConfigurationProvider

    protected IConfigurationProvider getConfigurationProvider()

#### executeOnCommandStack

    protected void executeOnCommandStack​(ICommand command)